CUPTI (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.54. CUpti_ActivityUnifiedMemoryCounter Struct Reference

## [CUPTI Activity API]

This activity record represents a Unified Memory counter (CUPTI_ACTIVITY_KIND_UNIFIED_MEMORY_COUNTER).

### Public Variables

CUpti_ActivityUnifiedMemoryCounterKind counterKind
uint32_t deviceId
CUpti_ActivityKind kind
uint32_t pad
uint32_t processId
CUpti_ActivityUnifiedMemoryCounterScope scope
uint64_t timestamp
uint64_t value

### Variables

CUpti_ActivityUnifiedMemoryCounterKind CUpti_ActivityUnifiedMemoryCounter::counterKind [inherited]

  The Unified Memory counter kind. See /ref CUpti_ActivityUnifiedMemoryCounterKind

uint32_t CUpti_ActivityUnifiedMemoryCounter::deviceId [inherited]

  The ID of the device involved in the memory transfer operation. It is not relevant if the scope of the counter is global (all devices).

CUpti_ActivityKind CUpti_ActivityUnifiedMemoryCounter::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_UNIFIED_MEMORY_COUNTER

uint32_t CUpti_ActivityUnifiedMemoryCounter::pad [inherited]

  Undefined. Reserved for internal use.

uint32_t CUpti_ActivityUnifiedMemoryCounter::processId [inherited]

  The ID of the process to which this record belongs to. In case of global scope, processId is undefined.

CUpti_ActivityUnifiedMemoryCounterScope CUpti_ActivityUnifiedMemoryCounter::scope [inherited]

  Scope of the Unified Memory counter. See /ref CUpti_ActivityUnifiedMemoryCounterScope

uint64_t CUpti_ActivityUnifiedMemoryCounter::timestamp [inherited]

  The timestamp when this sample was retrieved, in ns. A value of 0 indicates that timestamp information could not be collected

uint64_t CUpti_ActivityUnifiedMemoryCounter::value [inherited]

  Value of the counter